# ANSIBLE MANAGED FILE - DO NOT MANUALLY EDIT
#
[NetDev]
Name={{ item.key }}
Kind={{ item.value.device }}

{% if item.value.device.lower() == 'bond' %}
[Bond]
Mode={{ item.value.bond_mode | default('balance-rr') }}
PrimaryReselectPolicy=always
MIIMonitorSec=1s
{% endif %}
{% if item.value.device.lower() == 'vlan' %}
[VLAN]
Id={{ item.key.partition('.')[2] }}
{% endif %}

# EOF
